/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.map;

import java.beans.PropertyChangeEvent;
import nl.cloudfarming.client.geoviewer.Layer;
import nl.cloudfarming.client.geoviewer.MapController;
import nl.cloudfarming.client.geoviewer.jxmap.map.RootMapPanel.LayerGroup;
import org.jdesktop.swingx.JXMapViewer;

/**
 *
 * @author Timon Veenstra
 */
public class ImageLayerPanel extends LayerPanel{

    

    public ImageLayerPanel(MapController controller,Layer layer, JXMapViewer mapViewer, int id) {
        super(controller, layer,mapViewer,id, LayerGroup.LAYER_IMAGE);

    }

    @Override
    public void propertyChange(PropertyChangeEvent evt) {
    }

    @Override
    public void onMapMouseEvent(MapMouseEvent mapMouseEvent) {
    }

    @Override
    public void mapMousePressed(MapMouseEvent mapMouseEvent) {
    }

    @Override
    public void mapMouseReleased(MapMouseEvent mapMouseEvent) {
    }

    @Override
    public void mapMouseDragged(MapMouseEvent mapMouseEvent) {
    }
}
